GDCM: gdcm::ImageChangeTransferSyntax Class Reference

GDCM 3.2.7

Public Member Functions | Protected Member Functions | List of all members
gdcm::ImageChangeTransferSyntax Class Reference

ImageChangeTransferSyntax class. More...

`#include <gdcmImageChangeTransferSyntax.h>`

Inheritance diagram for gdcm::ImageChangeTransferSyntax:
[legend]
Collaboration diagram for gdcm::ImageChangeTransferSyntax:
[legend]

## Public Member Functions
| ImageChangeTransferSyntax ()
| ~ImageChangeTransferSyntax ()=default
bool | Change ()
| Change.
const TransferSyntax & | GetTransferSyntax () const
| Get Transfer Syntax.
void | SetCompressIconImage (bool b)
void | SetForce (bool f)
void | SetTransferSyntax (const TransferSyntax &ts)
| Set target Transfer Syntax.
void | SetUserCodec (ImageCodec *ic)
Public Member Functions inherited from gdcm::ImageToImageFilter
| ImageToImageFilter ()
| ~ImageToImageFilter ()=default
Image & | GetInput ()
const Image & | GetOutput () const
| Get Output image.
Public Member Functions inherited from gdcm::PixmapToPixmapFilter
| PixmapToPixmapFilter ()
| ~PixmapToPixmapFilter ()=default
Pixmap & | GetInput ()
const Pixmap & | GetOutput () const
| Get Output image.
const Pixmap & | GetOutputAsPixmap () const
Public Member Functions inherited from gdcm::BitmapToBitmapFilter
| BitmapToBitmapFilter ()
| ~BitmapToBitmapFilter ()=default
const Bitmap & | GetOutput () const
| Get Output image.
const Bitmap & | GetOutputAsBitmap () const
void | SetInput (const Bitmap &image)
| Set input image.

## Protected Member Functions
bool | TryJPEG2000Codec (const DataElement &pixelde, Bitmap const &input, Bitmap &output)
bool | TryJPEGCodec (const DataElement &pixelde, Bitmap const &input, Bitmap &output)
bool | TryJPEGLSCodec (const DataElement &pixelde, Bitmap const &input, Bitmap &output)
bool | TryRAWCodec (const DataElement &pixelde, Bitmap const &input, Bitmap &output)
bool | TryRLECodec (const DataElement &pixelde, Bitmap const &input, Bitmap &output)

## Additional Inherited Members
Protected Attributes inherited from gdcm::BitmapToBitmapFilter
SmartPointer< Bitmap > | Input
SmartPointer< Bitmap > | Output

## Detailed Description

ImageChangeTransferSyntax class.

Class to change the transfer syntax of an input DICOM

If only Force param is set but no input TransferSyntax is set, it is assumed that user only wants to inspect encapsulated stream (advanced dev. option).

When using UserCodec it is very important that the TransferSyntax (as set in SetTransferSyntax) is actually understood by UserCodec (ie. UserCodec->CanCode( TransferSyntax ) ). Otherwise the behavior is to use a default codec.

See also
  JPEGCodec JPEGLSCodec JPEG2000Codec

Examples
  BasicImageAnonymizer.cs, CompressImage.cxx, CompressLossyJPEG.cs, ExplicitLittleEndian.cs, and StandardizeFiles.cs.

## Constructor & Destructor Documentation

## ◆ ImageChangeTransferSyntax()

gdcm::ImageChangeTransferSyntax::ImageChangeTransferSyntax | ( |  | ) |
| inline

## ◆ ~ImageChangeTransferSyntax()

gdcm::ImageChangeTransferSyntax::~ImageChangeTransferSyntax | ( |  | ) |
| default

## Member Function Documentation

## ◆ Change()

bool gdcm::ImageChangeTransferSyntax::Change | ( |  | ) |

Change.

Examples
  BasicImageAnonymizer.cs, CompressImage.cxx, CompressLossyJPEG.cs, ExplicitLittleEndian.cs, and StandardizeFiles.cs.

## ◆ GetTransferSyntax()

const TransferSyntax & gdcm::ImageChangeTransferSyntax::GetTransferSyntax | ( |  | ) | const
| inline

Get Transfer Syntax.

## ◆ SetCompressIconImage()

void gdcm::ImageChangeTransferSyntax::SetCompressIconImage | ( | bool | b | ) |
| inline

Decide whether or not to also compress the Icon Image using the same Transfer Syntax. Default is to simply decompress icon image

Examples
  StandardizeFiles.cs.

## ◆ SetForce()

void gdcm::ImageChangeTransferSyntax::SetForce | ( | bool | f | ) |
| inline

When target Transfer Syntax is identical to input target syntax, no operation is actually done. This is an issue when someone wants to re-compress using GDCM internal implementation a JPEG (for example) image

Examples
  ExplicitLittleEndian.cs, and StandardizeFiles.cs.

## ◆ SetTransferSyntax()

void gdcm::ImageChangeTransferSyntax::SetTransferSyntax | ( | const TransferSyntax & | ts | ) |
| inline

Set target Transfer Syntax.

Examples
  BasicImageAnonymizer.cs, CompressImage.cxx, CompressLossyJPEG.cs, ExplicitLittleEndian.cs, and StandardizeFiles.cs.

## ◆ SetUserCodec()

void gdcm::ImageChangeTransferSyntax::SetUserCodec | ( | ImageCodec * | ic | ) |
| inline

Allow user to specify exactly which codec to use. this is needed to specify special qualities or compression option.

Warning
  if the codec 'ic' is not compatible with the TransferSyntax requested, it will not be used. It is the user responsibility to check that UserCodec->CanCode( TransferSyntax )

Examples
  CompressLossyJPEG.cs.

## ◆ TryJPEG2000Codec()

bool gdcm::ImageChangeTransferSyntax::TryJPEG2000Codec | ( | const DataElement & | pixelde,
|  | Bitmap const & | input,
|  | Bitmap & | output )
| protected

## ◆ TryJPEGCodec()

bool gdcm::ImageChangeTransferSyntax::TryJPEGCodec | ( | const DataElement & | pixelde,
|  | Bitmap const & | input,
|  | Bitmap & | output )
| protected

## ◆ TryJPEGLSCodec()

bool gdcm::ImageChangeTransferSyntax::TryJPEGLSCodec | ( | const DataElement & | pixelde,
|  | Bitmap const & | input,
|  | Bitmap & | output )
| protected

## ◆ TryRAWCodec()

bool gdcm::ImageChangeTransferSyntax::TryRAWCodec | ( | const DataElement & | pixelde,
|  | Bitmap const & | input,
|  | Bitmap & | output )
| protected

## ◆ TryRLECodec()

bool gdcm::ImageChangeTransferSyntax::TryRLECodec | ( | const DataElement & | pixelde,
|  | Bitmap const & | input,
|  | Bitmap & | output )
| protected

The documentation for this class was generated from the following file:

- gdcmImageChangeTransferSyntax.h